# Issuing Preview Installment

The Issuing Preview Installment resource represents an upcoming installment of an installment purchase that has not been billed yet.

Use it to preview the amounts that will compose your future issuing billing invoices.

### The Issuing Preview Installment object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `id` | STRING | Unique identifier for the issuing preview installment. |
| `description` | STRING | Installment description, usually the merchant name. |
| `amount` | INTEGER | Installment amount in cents. Example: 30000 (= R$ 300.00). |
| `totalAmount` | INTEGER | Total amount in cents of the source purchase. Example: 90000 (= R$ 900.00). |
| `source` | STRING | Entity that originated the installment. Example: "issuing-purchase/5155165527080960". |
| `number` | INTEGER | Number of this installment. Example: 2. |
| `count` | INTEGER | Total number of installments of the source purchase. Example: 3. |
| `due` | STRING | Datetime when the installment will be billed. Example: "2022-02-01T00:00:00.000000+00:00". |
| `tags` | LIST OF STRINGS | Array of strings to tag the entity for future queries. |
| `created` | STRING | Creation datetime. Example: "2022-01-01T00:00:00.000000+00:00". |

### List Issuing Preview Installments

`GET /v2/issuing-preview-installment`

Get a list of issuing preview installments in chunks of at most 100.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `limit` | OPTIONAL | Number of results per cursor. Max = 100. |
| `cursor` | OPTIONAL | String used to get the next batch of results. Our SDKs handle this for you. |
| `after` | OPTIONAL | Filter entities created after this date. |
| `before` | OPTIONAL | Filter entities created before this date. |
| `sort` | OPTIONAL | Sort order for the results. Options: "created", "-created", "due", "-due". Default: "-created". |
| `ids` | OPTIONAL | List of strings to get specific entities by ids. |
| `tags` | OPTIONAL | List of strings to filter entities by tags. |

**Request**

```python
import starkinfra

installments = starkinfra.issuingpreviewinstallment.query(
    limit=10,
    sort="due"
)

for installment in installments:
    print(installment)
```

**Response**

```python
IssuingPreviewInstallment(
    id=6724771005489152,
    description=Stark Coffee Shop,
    amount=30000,
    total_amount=90000,
    source=issuing-purchase/5155165527080960,
    number=2,
    count=3,
    due=2022-02-01 00:00:00,
    tags=[],
    created=2022-01-01 00:00:00
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkinfra.com/api/v2/issuing-preview-installment-python.md)
- [Node.js](https://docs.starkinfra.com/api/v2/issuing-preview-installment-node.md)
- [PHP](https://docs.starkinfra.com/api/v2/issuing-preview-installment-php.md)
- [Java](https://docs.starkinfra.com/api/v2/issuing-preview-installment-java.md)
- [Ruby](https://docs.starkinfra.com/api/v2/issuing-preview-installment-ruby.md)
- [Elixir](https://docs.starkinfra.com/api/v2/issuing-preview-installment-elixir.md)
- [.NET](https://docs.starkinfra.com/api/v2/issuing-preview-installment-dotnet.md)
- [Go](https://docs.starkinfra.com/api/v2/issuing-preview-installment-go.md)
- [Clojure](https://docs.starkinfra.com/api/v2/issuing-preview-installment-clojure.md)
- [cURL](https://docs.starkinfra.com/api/v2/issuing-preview-installment-curl.md)
